#ifndef __HLSB36PCI2_H__
#define __HLSB36PCI2_H__


#define HLSB_SUCCESS                  0
#define HLSB_ERR_DEVICE_NOT_EXIST     1
#define HLSB_ERR_ALREADY_OPENED       2
#define HLSB_ERR_CLOSED               3
#define HLSB_ERR_INVALID_HANDLE       4
#define HLSB_ERR_INVALID_PARAM        5
#define HLSB_ERR_NORESOUCE            6
#define HLSB_ERR_FAILED               7
#define HLSB_NOT_CALLYET              99

#define WINAPI __stdcall

/* __cplusplus <- c++ŃRpC#define }N */
#ifdef __cplusplus
extern "C" {
#endif
	/*
	f[^^	TCY	̗L
BYTE		8 rbg 	Ȃ
DWORD		32 rbg	Ȃ
INT32		32 rbg	t
INT64		64 rbg	t
LONG		32 rbg	t
LONGLONG	64 rbg	t
UINT32		32 rbg	Ȃ
UINT64		64 rbg	Ȃ
ULONG		32 rbg	Ȃ
ULONGLONG	64 rbg	Ȃ
WORD		16 rbg	Ȃ
*/
	/* VBȂǂł邾ꂩg悤
	 * stdcallKgpĂ܂B
	 */
	UINT   WINAPI HlsbGetVersion(void);
	UINT   WINAPI HlsbGetLastError(void);
	BOOL   WINAPI HlsbSearchBoard(BYTE *board_num, BYTE *board_id_list);
	HANDLE WINAPI HlsbOpenHandle(int index_no);
	BOOL   WINAPI HlsbCloseHandle(HANDLE hlsbHandle);
	BOOL   WINAPI HlsbReadWord(HANDLE hlsbHandle, const ULONG addr, WORD *data);
	BOOL   WINAPI HlsbWriteWord(HANDLE hlsbHandle, const ULONG addr, const WORD data);
	BOOL   WINAPI HlsbReadData(HANDLE hlsbHandle, const ULONG addr, const ULONG wordLen, void *data);
	BOOL   WINAPI HlsbWriteData(HANDLE hlsbHandle, const ULONG addr, const ULONG wordLen, void *data);
	BOOL   WINAPI HlsbResetBoard(HANDLE hlsbHandle);
	INT    WINAPI HlsbBoardID(HANDLE hlsbHandle);
	BOOL   WINAPI HlsbGetInt0Counter(HANDLE hlsbHandle, BYTE *int0Counter);
	BOOL   WINAPI HlsbGetInt1Counter(HANDLE hlsbHandle, BYTE *int1Counter);
	BOOL   WINAPI HlsbClearInt0Counter(HANDLE hlsbHandle);
	BOOL   WINAPI HlsbClearInt1Counter(HANDLE hlsbHandle);
	BOOL   WINAPI HlsbGetInt0StatusInfo(HANDLE hlsbHandle, BYTE *int0Info);
	BOOL   WINAPI HlsbGetInt1StatusInfo(HANDLE hlsbHandle, BYTE *int1Info);
	BOOL   WINAPI HlsbClearInt0StatusInfo(HANDLE hlsbHandle);
	BOOL   WINAPI HlsbClearInt1StatusInfo(HANDLE hlsbHandle);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* #ifndef __HLSB36PCI2_H__ */
